[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Bug#573929: ITP: libcatalyst-devel-perl -- collection of development tools for Catalyst

On Mon, Mar 15, 2010 at 02:37:42PM -0500, Jonathan Yu wrote:
> If someone installs a package, they expect everything included in the
> package to work. Since we don't know ahead of time which modules a
> person plans to use from the bundle, we have to install dependencies
> for all of them.

Since apt now installs Recommends by default, surely you can bump some of
the less-used Depends down to Recommends? Most users won't see a difference,
but anyone who is concerned about installing too many extra packages can
easily tell apt not to install some of the recommended modules. 

Chris Butler <chrisb@debian.org>
  GnuPG Key ID: 4096R/49E3ACD3

Reply to: